###########################################################################
#
# win32 makefile -- mg\jni
# A component of the Greenstone digital library software
# from the New Zealand Digital Library Project at the
# University of Waikato, New Zealand.
#
# Copyright (C) 1999  The New Zealand Digital Library Project
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###########################################################################
 
MGHOME = ..

AR = lib
CC = cl
CPPFLAGS = 

DEFS = -DQUIET -DHAVE_CONFIG_H -D__WIN32__ -D_LITTLE_ENDIAN -DPARADOCNUM \
       -DSHORT_SUFFIX
INCLUDES = -I"$(MGHOME)" -I"$(MGHOME)\lib" -I"$(MGHOME)\src\text" \
           -I"C:\j2sdk1~1.1_0\include" -I"C:\j2sdk1~1.1_0\include\win32"           

COMPILE = $(CC) -c $(DEFS) $(INCLUDES)
 
.SUFFIXES:
.SUFFIXES: .c .obj
.c.obj:
	$(COMPILE) $<

ANSI2KNR = 
o = .obj
 
HEADERS = \
    MGWrapperImpl.h   org_greenstone_mg_MGWrapper.h

SOURCES = \
    MGWrapperImpl.c

OBJECTS = \
    MGWrapperImpl$o   $(MGHOME)\src\text\libmgtextin.lib \
    $(MGHOME)\lib\libmg.lib
 
DISTFILES = Makefile.in $(HEADERS) $(SOURCES)
 
all : compile link

compile:
        $(COMPILE) MGWrapperImpl.c

link:
        $(CC) -MD -LD $(OBJECTS) -Femgjni.dll

install: 

clean:
        if exist *$o del *$o 
